/* $Id: buddy.h,v 1.4 2001/08/20 01:04:24 robey Exp $
 *
 * Copyright (C) 2001  Robey Pointer <robey@lag.net>
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2, or (at your option) any
 * later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#ifndef _BUDDY_H_
#define _BUDDY_H_

void buddy_table_init (void);
void buddy_table_free (void);
void buddy_update_status (Client *client, gboolean online);
void buddy_list_load (Client *client);
void buddy_list_unload (Client *client);
void buddy_list_refresh_pending (void *db_state, Client *client);
void buddy_list_refresh (Client *client);
void buddy_list_refresh_reverse (Client *client);
void buddy_list_handle_unsubscribe (void *db_state, Client *client, Socket *sock, const char *id);
void buddy_list_handle_subscribe (void *db_state, Client *client, Socket *sock,
                                  const char *id, const char *text);
void buddy_list_handle_accept (void *db_state, Client *client, Socket *sock, const char *id, const char *text);
void buddy_list_handle_denied (void *db_state, Client *client, Socket *sock, const char *id, const char *text);
GList *buddy_table_dump (void);
void buddy_table_dump_free (GList *list);

#endif	/* _BUDDY_H_ */
