
use say2;

create table user (
        id varchar(32) not null primary key,
        password varchar(32),
        public_key blob,
        email varchar(40) not null,
        tagline varchar(60),
        privs varchar(80) not null,
        prefs varchar(80) not null,
	created datetime not null,
	last_login datetime not null,
	last_logout datetime not null,
        attributes text,
	icon blob,

	index (privs),
	unique (email)
);

create table channel (
        id varchar(32) not null primary key,
        password varchar(32),
        public_key blob,
        email varchar(40) not null,
        tagline varchar(60),
        prefs varchar(80) not null,
        created datetime not null,
        last_login datetime not null,
        last_logout datetime not null,
        attributes text,
        icon blob,

        unique (email)
);

create table message (
        id int primary key auto_increment,
        dest varchar(32) not null,
        message text,			# enaml block (contains source, time, etc)

        index (dest)
);

create table buddy (
        id varchar(32) not null,
        buddy varchar(32) not null,
        message varchar(80),
        status varchar(10),		# B/locked, A/pproved, P/ending, D/enied + S/tored
        denycount tinyint default 0,

        index (id, buddy)
);
